%global         momorel 1
%global         srcver 2.002

Name:           perl-Pod-Markdown
Version:        %{srcver}000
Release:        %{momorel}m%{?dist}
Summary:        Convert POD to Markdown
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Pod-Markdown/
Source0:        http://www.cpan.org/authors/id/R/RW/RWSTAUNER/Pod-Markdown-%{srcver}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.008
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-File-Temp
BuildRequires:  perl-parent
BuildRequires:  perl-Pod-Parser
BuildRequires:  perl-Scalar-Util
BuildRequires:  perl-Test-Differences
BuildRequires:  perl-Test-Simple >= 0.94
Requires:       perl-parent
Requires:       perl-Pod-Parser
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
This module subclasses Pod::Parser and converts POD to Markdown.

%prep
%setup -q -n Pod-Markdown-%{srcver}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes dist.ini LICENSE META.json README
%{_bindir}/pod2markdown
%{perl_vendorlib}/Pod/Markdown.pm
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Sun Aug  3 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (2.002000-1m)
- update to 2.002

* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (2.001000-2m)
- rebuild against perl-5.20.0

* Sun Apr 20 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (2.001000-1m)
- update to 2.001

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (2.000000-1m)
- update to 2.000
- rebuild against perl-5.18.2

* Sat Nov 23 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.500000-1m)
- update to 1.500

* Sun Nov 10 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.401000-1m)
- update to 1.401

* Sat Nov  9 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.400000-1m)
- update to 1.400

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.322000-4m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.322000-3m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.322000-2m)
- rebuild against perl-5.16.3

* Sun Nov 18 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.322000-1m)
- update to 1.322

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.320000-3m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.320000-2m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.320000-1m)
- update to 1.320
- rebuild against perl-5.16.0

* Sun Nov 27 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.120001-1m)
- update to 0.120001

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.110730-4m)
- rebuild against perl-5.14.2

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.110730-3m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.110730-2m)
- rebuild against perl-5.14.0-0.2.1m

* Sat Apr 30 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.110730-1m)
- update to 1.110730

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.103491-2m)
- rebuild for new GCC 4.6

* Fri Jan  7 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.103491-1m)
- update to 1.103491

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.100860-2m)
- rebuild for new GCC 4.5

* Sat Oct 30 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (1.100860-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
